@import "./anim/FadeIn.css";



.restaurants {
    animation: fadeIn 200ms ease-in;
}

.restaurants__container {
    padding: 5%;
}

.restaurantView {
    padding: 2%;
    animation: fadeIn 300ms ease-in;
}

.restaurants__title {
    width: 100%;
    display: grid;
    place-items: center;
    margin: 3% 0;
}

.restaurants__noContent {
    width: 100%;
    display: grid;
    place-items: center;
}

.restaurants__restaurantIcon {
    transform: scale(4.3);
    margin-bottom: 3%;
    color: black
}

.restaurantView img {
    object-fit: cover;
}

.restaurantView .card:hover {
    transform: scale(1.01);
    cursor: pointer;
}

.editRestaurant--wrapper {
    position: absolute;
    top: 0;
    height: 100vh;
    width: 100%;
    z-index: 3;
}

.editRestaurant__background {
    top: 0;
    position: fixed;
    height: 100%;
    width: 100%;
    background: rgba(240, 240, 240, 0.9);
    animation: fadeIn 150ms ease-in;

}

.editRestaurant {
    display: grid;
    place-items: center;
}

.editRestaurant .card {
    width: 25%;

}

.editRestaurant .button {
    margin: 8% 0 0 0;
}

.editRestaurant img {
    object-fit: cover;
}

.restaurants__addSection--wrapper {
    margin-top: 5%;
    width: 100%;
    height: 140px;
    display: grid;
    place-items: center;
}

.restaurants__addSection {
    height: 110px;
    width: 30ch;
    display: flex;
    justify-content: space-evenly;
    place-items: center;
    border-radius: var(--borderRadiusRounded);
    color: var(--alternativeColor);
    background: white;
    border: var(--alternativeColor) 2px solid
}

.restaurants__addSection p {
    color: var(--primaryColor);
}

.restaurants__addSection:hover {
    cursor: pointer;
    background: var(--accentBackgroundColor);
    color: var(--primaryColor);
    font-weight: bold;
}

.restaurants__addIcon {
    transform: scale(4.8);
}

